import * as React from 'react';
declare type CloseModal = () => void;
declare type UnknownProps = {
    [key: string]: unknown;
};
export declare type ModalComponent<P = UnknownProps> = React.FC<P & {
    closeModal: CloseModal;
}>;
export declare type LaunchModal = <P = UnknownProps>(component: ModalComponent<P>, extraProps: P) => void;
declare type ModalContextValue = {
    launchModal: LaunchModal;
    closeModal: CloseModal;
};
export declare const ModalContext: React.Context<ModalContextValue>;
export declare const ModalProvider: React.FC;
export {};
