"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalProvider = exports.ModalContext = void 0;
const React = require("react");
exports.ModalContext = React.createContext({
    launchModal: () => { },
    closeModal: () => { },
});
const ModalProvider = ({ children }) => {
    const [isOpen, setOpen] = React.useState(false);
    const [Component, setComponent] = React.useState();
    const [componentProps, setComponentProps] = React.useState({});
    const launchModal = React.useCallback((component, compProps) => {
        setComponent(() => component);
        setComponentProps(compProps);
        setOpen(true);
    }, [setOpen, setComponent, setComponentProps]);
    const closeModal = React.useCallback(() => setOpen(false), [setOpen]);
    return (React.createElement(exports.ModalContext.Provider, { value: { launchModal, closeModal } },
        isOpen && !!Component && React.createElement(Component, Object.assign({}, componentProps, { closeModal: closeModal })),
        children));
};
exports.ModalProvider = ModalProvider;
//# sourceMappingURL=ModalProvider.js.map